> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List the organization's MCP servers



## OpenAPI

````yaml api-reference/openapi.v1.json GET /mcp-servers
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /mcp-servers:
    get:
      tags:
        - mcp-servers
      summary: List the organization's MCP servers
      operationId: listMcpServers
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpServerListResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    McpServerListResponse:
      additionalProperties: false
      properties:
        mcp_servers:
          items:
            $ref: '#/components/schemas/McpServer'
          type: array
      required:
        - mcp_servers
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    McpServer:
      discriminator:
        mapping:
          http: '#/components/schemas/McpHTTPServer'
          stdio: '#/components/schemas/McpStdioServer'
        propertyName: kind
      oneOf:
        - $ref: '#/components/schemas/McpHTTPServer'
        - $ref: '#/components/schemas/McpStdioServer'
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    McpHTTPServer:
      additionalProperties: false
      properties:
        auth:
          enum:
            - none
            - static_secret
            - oauth
          type: string
        connection_kind:
          enum:
            - static_secret
            - oauth
            - github_user_credential
            - sentry_installation
          type:
            - string
            - 'null'
        created_at:
          format: date-time
          type: string
        default_credential_policy:
          enum:
            - creator
            - org
          type:
            - string
            - 'null'
        display_name:
          type: string
        enabled_by_default:
          type: boolean
        headers:
          additionalProperties:
            type: string
          type: object
        homepage:
          description: >-
            The integration's homepage, as Aether's integration directory names
            it; null unless source is directory.
          type:
            - string
            - 'null'
        id:
          format: uuid
          type: string
        key:
          type: string
        kind:
          enum:
            - http
          type: string
        plugin_id:
          format: uuid
          type:
            - string
            - 'null'
        required:
          type: boolean
        secret_names:
          items:
            type: string
          type: array
        source:
          enum:
            - manual
            - aether
            - plugin
            - directory
          type: string
        updated_at:
          format: date-time
          type: string
        url:
          type: string
      required:
        - kind
        - id
        - key
        - display_name
        - url
        - headers
        - auth
        - source
        - connection_kind
        - required
        - enabled_by_default
        - default_credential_policy
        - secret_names
        - plugin_id
        - homepage
        - created_at
        - updated_at
      type: object
    McpStdioServer:
      additionalProperties: false
      properties:
        args:
          items:
            type: string
          type: array
        auth:
          enum:
            - none
            - static_secret
          type: string
        connection_kind:
          enum:
            - static_secret
          type:
            - string
            - 'null'
        created_at:
          format: date-time
          type: string
        default_credential_policy:
          enum:
            - creator
            - org
          type:
            - string
            - 'null'
        display_name:
          type: string
        enabled_by_default:
          type: boolean
        env:
          additionalProperties:
            $ref: '#/components/schemas/McpStdioEnvValue'
          type: object
        id:
          format: uuid
          type: string
        key:
          type: string
        kind:
          enum:
            - stdio
          type: string
        package:
          type: string
        required:
          type: boolean
        runtime:
          enum:
            - npx
            - uvx
            - python
          type: string
        secret_names:
          items:
            type: string
          type: array
        source:
          enum:
            - manual
          type: string
        updated_at:
          format: date-time
          type: string
        version:
          type: string
      required:
        - kind
        - id
        - key
        - display_name
        - runtime
        - package
        - version
        - args
        - env
        - auth
        - source
        - connection_kind
        - required
        - enabled_by_default
        - default_credential_policy
        - secret_names
        - created_at
        - updated_at
      type: object
    McpStdioEnvValue:
      discriminator:
        mapping:
          plain: '#/components/schemas/McpStdioPlainEnv'
          secret: '#/components/schemas/McpStdioSecretEnv'
        propertyName: kind
      oneOf:
        - $ref: '#/components/schemas/McpStdioPlainEnv'
        - $ref: '#/components/schemas/McpStdioSecretEnv'
    McpStdioPlainEnv:
      additionalProperties: false
      properties:
        kind:
          enum:
            - plain
          type: string
        value:
          type: string
      required:
        - kind
        - value
      type: object
    McpStdioSecretEnv:
      additionalProperties: false
      properties:
        kind:
          enum:
            - secret
          type: string
      required:
        - kind
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.